<?php
session_start();
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
    header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

     $conexion=conecta_default();
  $ok=0;
  $continua=0;
  $continua1=0;
   $id_venta=$_POST['numnota'];
   $elcd=$_POST['cd'];
   $elconsec=$_POST['consec'];
   $ext=0;
 
   echo "<script language='JavaScript' src='../scripts/Val.js'></script>";
   echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>";
   
   

   
   if( $id_venta>=169949){
	   
	   echo"<center><br><br><br>Favor de utilizar su oficina Virtual para asignaciones";
   }else{
   
   
   
   
   
    $qCuenta = "SELECT COUNT(id_prod) FROM productos";
	  $cCuenta = mysqli_query($conexion, $qCuenta) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  while($rCuenta = mysqli_fetch_row($cCuenta))
	  {
	      $cuenta = $rCuenta[0]; // Cantidad de Productos para el contador.
	   };
   
   if(isset($id_venta)){
	   	$qDG="SELECT usuarios_ci_idusuarios_ci, consec, tipostr_idtipostr, fechat from transacciones where idtransacciones=$id_venta";
  			$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.)2: ' . mysqli_error($conexion));
  			while($rDG = mysqli_fetch_row($cDG))
		   	{
		    	$elcd = $rDG[0];
		    	$elconsec = $rDG[1];
		    	$tipo = $rDG[2];
		    	$fecha = $rDG[3];}
		    	   
   }else{
	   
	 	$qDG="SELECT idtransacciones, tipostr_idtipostr, fechat from transacciones where usuarios_ci_idusuarios_ci=$elcd and consec=$elconsec";
  			$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.3): ' . mysqli_error($conexion));
  			while($rDG = mysqli_fetch_row($cDG))
		   	{
		    	$id_venta = $rDG[0]; $tipo = $rDG[1];$fecha = $rDG[2];
		    	}   
	     
   }
    	$qDG1="SELECT datediff(curdate(),'$fecha')";
  			$cDG1 = mysqli_query($conexion, $qDG1) or die ('Error (Obtencion DG.): ' . mysqli_error($conexion));
  			while($rDG1 = mysqli_fetch_row($cDG1))
		   	{
		    	$diasdif = $rDG1[0];
		    
		    	}
		    
   
   
 
   $qa = "SELECT idprom,`nombre`,`appat`,`apmat`, rfc, id_inver FROM `inversionista` join transacciones on transacciones.inversionista_id_inver=inversionista.id_inver WHERE idtransacciones=$id_venta";
   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
   while($ra = mysqli_fetch_row($ca))
   {
	   $promotor = $ra[0];
	   $nom = $ra[1];
	   $app= $ra[2];
	   $apm = $ra[3];
	   $rfc = $ra[4];$idinv = $ra[5];

	};
	
	$qDG="SELECT idnsal from nsalext where id_inver=$idinv";
  			$cDG = mysqli_query($conexion, $qDG) or die ('Error (Obtencion DG.3): ' . mysqli_error($conexion));
  					if(mysqli_affected_rows($conexion)){if($diasdif<=90){$ext=1;}}

	
  echo "<br><center>Informacion del Pedido # $id_venta<br> Realizada hace $diasdif dias "; 
   if($diasdif>=32){if($ext==1 && $diasdif<=90){echo"<font color=\"blue\"> Esta nota tiene vigencia de 90 dias</font>";}else {echo"<font color=\"red\"> Esta nota ha caducado</font>";}}
	$qa1 = "SELECT `nombre`,`appat`,`apmat`, id_inver FROM `inversionista` WHERE id_inver = '".$promotor."'";
   $ca1 = mysqli_query($conexion, $qa1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
   while($ra1 = mysqli_fetch_row($ca1))
   {
	   $nomp = $ra1[0];
	   $appp= $ra1[1];
	   $apmp = $ra1[2];
	};

	echo"<br><table>
	<tr><td>Pedido Real<br>
	<table border=1> <th>Cantidad</th><th>ID</th><th>Nombre</th><th>precio</th><th>puntos</th>";
	
	
		$promos="SELECT cant, promodesc, precio, puntos, promod.id_promo FROM pedido_real join promod on pedido_real.id_prod=promod.id_promo where pedido_real.transacciones='$id_venta' ";
	
	$cal = mysqli_query($conexion, $promos) or die ('Error (Registro No Encontrado2): ' . mysqli_error($conexion));
	while($ral = mysqli_fetch_row($cal))
   {
	   echo"<TR><td>$ral[0]</td><td>$ral[4]</td><td>$ral[1]</td><td>$ral[2]</td><td>$ral[3]</td></TR>";
	 $precio1+=  $ral[2]*$ral[0];
	$puntos1+=  $ral[3]*$ral[0];

	};
	
	
	
	
	
	
	
	$linea="SELECT cant, nombreProd, precio, puntos, productos.id_prod FROM pedido_real join productos on pedido_real.id_prod=productos.id_prod where pedido_real.transacciones='$id_venta' ";
	 $cal = mysqli_query($conexion, $linea) or die ('Error (Registro No Encontrado1): ' . mysqli_error($conexion));
   while($ral = mysqli_fetch_row($cal))
   {
	   echo"<TR><td>$ral[0]</td><td>$ral[4]</td><td>$ral[1]</td><td>$ral[2]</td><td>$ral[3]</td></TR>";
	   
		 $precio1+=  $ral[2]*$ral[0];
	$puntos1+=  $ral[3]*$ral[0];


	};
	
	echo"</table><br>Precio$ $precio1 Puntos $puntos1</td><td>";
	
	


	
	echo"Producto Entregado<bR><table border=1><th>Cantidad</th><th>Producto</th>";

		
	$linea="SELECT cant, nombreProd FROM pedido join productos on pedido.productos_idprod=productos.id_prod where pedido.transacciones_idtransacciones='$id_venta' ";
	 $cal = mysqli_query($conexion, $linea) or die ('Error (Registro No Encontrado1): ' . mysqli_error($conexion));
   while($ral = mysqli_fetch_row($cal))
   {
	   echo"<TR><td>$ral[0]</td><td>$ral[1]</td></TR>";
	   
	


	};
	echo"</table></td></tr></table>";
	








	echo"<br><b>Nombre:</b> $nom $app $apm<br><b>RFC:</b> $rfc<br>
	<b>Nombre Promotor:</b> $nomp $appp $apmp<br><br><br>";
	if($tipo==10 || $tipo>=13){

	$qa2 = "SELECT cant, nombreProd  FROM pedido join productos on (pedido.productos_idprod=productos.id_prod) WHERE  transacciones_idtransacciones= 
	".$id_venta."";
    echo"Descripcion de Productos<br><br><table>";
   $ca2 = mysqli_query($conexion, $qa2) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
   while($ra2 = mysqli_fetch_row($ca2))
   {
  echo"<tr>
	   <td>".$ra2[0]."</td>
	   <td>-</td>
	   <td>".$ra2[1]."</td>
	   </tr>";
	};
	echo"</table></center>";
	}

if($tipo==11){
	
	  echo "
			<form name=\"pagar\" action=\"pagarns2.php\"  method=\"post\">

			
			Nota de Salida<br><br>
			<TABLE Border=1 CellPadding=5>
			<TR>";
				echo "
				<th>Cantidad</th>
				<th>id</th>
				<th>Nombre</th>
				<th>Precio</th>
				<th>Puntos</th>
				<th>Por Asignar</th>
			</TR>";
	
	
	
 $qd = "SELECT asignar, id_promo,  promodesc, precio, puntos, cant FROM nsalida join promod on promod.id_promo=nsalida.productos_idprod where transacciones_idtransacciones=".$id_venta." and asignar>0";
	  $cd = mysqli_query($conexion, $qd) or die ('Error (Registro No Encontrado (Generacion de Tabla1)): ' . mysqli_error($conexion));
	 
			$i = 0;
			while($renglon = mysqli_fetch_row($cd))
			{$ptossal+=$renglon[5]*$renglon[4];
				$continua=1;
			
				echo"<tr bgcolor=\"#ccdbfc\">";
				echo "<td align=\"center\">".$renglon[5]."</td>";
				echo "<td align=\"center\">".$renglon[1]."</td>";
				echo "<input type=hidden name=copia_id_prod$i value=$renglon[1]>";
				echo "<td>".$renglon[2]."</td> ";
				echo "<input type=hidden name=copia_nombreProd$i value=$renglon[2]>";
				echo "<td>"."$".$renglon[3]."</td>";
				echo "<input type=hidden name=copia_precio$i value=$renglon[3]>";
				echo "<td>"."$".$renglon[4]."</td>";
				echo "<input type=hidden name=copia_puntos$i value=$renglon[4]>";
				
								
								echo "<td><select name ='cant$i'>";
				for($conti=0;$conti<=$renglon[0];$conti++)
				{
					echo"<option value='$conti'>$conti</option>";
				}
				echo"</select>";
				$i++;
		

				echo"</tr>";}
				
 $qd = "SELECT asignar, id_prod,  nombreProd, precio, puntos, cant FROM nsalida join productos on (productos.id_prod=nsalida.productos_idprod) where transacciones_idtransacciones=".$id_venta." and asignar>0";
	  $cd = mysqli_query($conexion, $qd) or die ('Error (Registro No Encontrado (Generacion de Tabla2)): ' . mysqli_error($conexion));
	 
	
			while($renglon = mysqli_fetch_row($cd))
			{$ptossal+=$renglon[5]*$renglon[4];
				$continua1=1;
					echo"<tr bgcolor=\"#ccdbfc\">";
				echo "<td align=\"center\">".$renglon[5]."</td>";
				echo "<td align=\"center\">".$renglon[1]."</td>";
				echo "<input type=hidden name=copia_id_prod$i value=$renglon[1]>";
				echo "<td>".$renglon[2]."</td> ";
				echo "<input type=hidden name=copia_nombreProd$i value=$renglon[2]>";
				echo "<td>"."$".$renglon[3]."</td>";
				echo "<input type=hidden name=copia_precio$i value=$renglon[3]>";
				echo "<td>"."$".$renglon[4]."</td>";
				echo "<input type=hidden name=copia_puntos$i value=$renglon[4]>";
				
								
								echo "<td><select name ='cant$i'>";
				for($conti=0;$conti<=$renglon[0];$conti++)
				{
					echo"<option value='$conti'>$conti</option>";
				}
				echo"</select>";
$i++;
				echo"</tr>";}				
					
			echo "</table><br>Puntos para asignar: $ptossal<br>"; 	
			
	 				
			
			if($continua==1 || $continua1==1)	{
				
				
				if($diasdif<=90 || $ext==1){
	   echo"<br><br>   
   <table border='0'>
	
	<tr height='40'>
	<td align='center'><label style='color:#5C3C12'>RFC a Asignar:</label>&nbsp;<input type='text' size='14' maxlength='10' name='rfcdi' value='' style='font-family: Times New Roman;text-transform:uppercase;'>
	&nbsp;&nbsp;&nbsp;<input type=\"submit\" value=\"Continuar\" name=\"hacer_pedido\"></td>
	

	</table>
<input type=hidden name=copia_cuenta value=$cuenta>	
		<input type=hidden name=numnota value=$id_venta>
   
   <input type=hidden name=transacc value=$id_venta>

			

							</form><br><br>";}
							else{echo"<font color=\"red\"> Esta nota ha caducado<br>No es posible hacer mas asignaciones</font><br><br>";}
			
			}
	 $qd1 = "select transacciones.idtransacciones, nombre, appat, apmat, observaciones, fechat, cantidad, puntos, id_inver from transacciones join asignaciones on transacciones.idtransacciones=
	 asignaciones.idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones where nsalida=".$id_venta."";

	  $cd1 = mysqli_query($conexion, $qd1) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	 


	
	
	
	
	
	
	   echo"<font size=\"+1\"><b>Asignaciones</b></font><br>
			<TABLE Border=1 CellPadding=5>
			<TR>";
				echo "
				<th>Pedido</th>
				<th>Nombre</th>
				<th>puntos</th>
				<th>Fecha</th><th></th>
			</TR>";
			
		
			while($renglon = mysqli_fetch_row($cd1))
			{
				echo"<tr>";
				echo "<td>".$renglon[0]."</td>";
				echo "<td>".$renglon[1]." ".$renglon[2]." ".$renglon[3]."</td>";
				echo "<td>"."$".$renglon[7]."</td>";
				echo "<td>".$renglon[5]."</td>	<td>";
		  
		/*	echo"<form name=\"busca\" action=\"pedidos_masinfo.php\" method=\"post\"><input type=\"submit\" name=\"Mas Info\" id=\"continuar\" value=\"Mas Info\" />
			<input type=hidden name=pedido value=$renglon[0] /><input type=hidden name=tipons value=12 />
	<input type=hidden name=dist value=$renglon[8] />
		  </form></td>";
				
			*/
			
			
							
				echo"</tr>";}
					
			echo "</table><br>"; 	
	

   
}

   
   
   
   
   
/*
if (isset($numns)){
	$qqq = "SELECT  nombre, appat, apmat, rfc, fechat, idtransacciones FROM transacciones join inversionista on (inversionista.id_inver=transacciones.inversionista_id_inver) where idtransacciones=$numns";
	  $cqq = mysqli_query($conexion, $qqq) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  while($rqq = mysqli_fetch_row($cqq))
	  {
	      $nombred = $rqq[0];
		  $appatd = $rqq[1];
		  $apmatd = $rqq[2];
		  $rfcd = $rqq[3];
		  $fechat = $rqq[4];
		   
	   }
}
else{
  $qqq = "SELECT nombre, appat, apmat, rfc, fechat, idtransacciones FROM transacciones join inversionista on (inversionista.id_inver=transacciones.inversionista_id_inver) where usuarios_ci_idusuarios_ci=$elcd and consec=$elconsec";
	  $cqq = mysqli_query($conexion, $qqq) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  while($rqq = mysqli_fetch_row($cqq))
	  {
	      $nombred = $rqq[0];
		  $appatd = $rqq[1];
		  $apmatd = $rqq[2];
		  $rfcd = $rqq[3];
		  $fechat = $rqq[4];
		  $numns = $rqq[5];
		  	   }
}

echo "<form name=\"Selec_Prod_Pedido\" action=\"pagarns2.php\" method=\"post\">
			
			<center><img src=\"aplprod.gif\"><br><br><b>Nota de Salida</b><b><font size=\"+2\"> $numns</font></b><br>
			<table CellPadding=\"5\" bgcolor=\"#ccdbfc\"><tr><td><b>R.F.C.</b></td><td> $rfcd</td></tr><tr><td><b>Nombre: </b></td><td>$nombred $appatd $apmatd</td></tr></table>
			<br><br>";
   $qCuenta = "SELECT COUNT(id_prod) FROM productos";
	  $cCuenta = mysqli_query($conexion, $qCuenta) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  while($rCuenta = mysqli_fetch_row($cCuenta))
	  {
	      $cuenta = $rCuenta[0]; // Cantidad de Productos para el contador.
	   };
	  
	  
	  		echo"<TABLE CellPadding=5>
			<TR bgcolor=\"#2d1173\">";
				echo "
				<th><font color=\"#FFFFFF\">Por Asignar</font></center></th>
				<th><font color=\"#FFFFFF\">Nombre</font></th>
				<th><font color=\"#FFFFFF\">Precio</font></th>
				<th><font color=\"#FFFFFF\">Puntos</font></th>
				<th><font color=\"#FFFFFF\">Cantidad</font></th>
			</TR>";
	  
	$qd = "SELECT asignar, id_promo,  promodesc, precio, puntos, cant FROM nsalida join promod on promod.id_promo=nsalida.productos_idprod where transacciones_idtransacciones=$numns and asignar>0";
	  $cd = mysqli_query($conexion, $qd) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	   $i = 0;
			while($renglon = mysqli_fetch_row($cd))
			{

				echo "<input type=''>";
				echo"<tr bgcolor=\"#ccdbfc\">";
				echo "<td align=\"center\">".$renglon[0]."</td>";
				echo "<input type=hidden name=copia_id_prod$i value=$renglon[1]>";
				echo "<td>".$renglon[2]."</td> ";
				echo "<input type=hidden name=copia_nombreProd$i value=$renglon[2]>";
				echo "<td>"."$".$renglon[3]."</td>";
				echo "<input type=hidden name=copia_precio$i value=$renglon[3]>";
				echo "<td>"."$".$renglon[4]."</td>";
				echo "<input type=hidden name=copia_puntos$i value=$renglon[4]>";

				echo "<td><select name ='cant$i'>";
				for($conti=0;$conti<=$renglon[0];$conti++)
				{
					echo"<option value='$conti'>$conti</option>";
				}
				echo"</select>";


		*/
}

		?>